Summary:	A program for synchronizing files over a network.
Name:		rsync
Group:		Administration/Tools
License:	GPL
Version:	2.6.6
Release:	2
Source0:	ftp://rsync.samba.org/pub/rsync/rsync-%{version}.tar.gz
Source1:	rsyncd.init-gd-1
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
Rsync uses a quick and reliable algorithm to very quickly bring
remote and host files into sync.  Rsync is fast because it just
sends the differences in the files over the network (instead of
sending the complete files). Rsync is often used as a very powerful
mirroring process or just as a more capable replacement for the
rcp command.  A technical report which describes the rsync algorithm
is included in this package.

%files
  %defattr(0444,root,root,0555)
  %doc COPYING README tech_report.tex
  %doc %{_mandir}/man1/rsync.1*
  %doc %{_mandir}/man5/rsyncd.conf.5*

  %attr(0511,root,root)		%{_bindir}/rsync
  %attr(0500,root,root)		%{_sysconfdir}/init.d/rsyncd

%prep
%setup -q

%build
  %configure

  make %{?_smp_mflags} CCOPTFLAGS="$RPM_OPT_FLAGS"

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  install -d $RPM_BUILD_ROOT/%{_sysconfdir}/init.d

  %makeinstall

  install %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/rsyncd

%preun
  if [ $1 = 0 ]; then
    /etc/init.d/rsyncd stop > /dev/null 2>&1	|| :
    /sbin/chkconfig --del rsyncd		|| :
  fi

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Sep 08 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.6.6, Release 2
  - General spec cleanups to make it more Ryan-esque.
  - Package a simple rsyncd initscript.
  - Add scriptlet fodder to stop and de-checkconfig upon package removal.

* Wed Aug 17 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.6.6, Release 1
  - Upgrade to latest upstream version.

* Tue Jun 29 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 2.6.5, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
